﻿using System;
using System.Web.Services;
using Bytezoom.WebService.DocuSignConnect;
using System.Collections.Specialized;

/// <summary>
/// Summary description for DocuSignProcessing
/// DocuSignProcessing - post method for push messages from DocuSignConnect
/// </summary>
[WebService(Namespace = "https://www.bytezoom.com/docusignintegration/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.ComponentModel.ToolboxItem(false)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
[System.Web.Script.Services.ScriptService]
public class DocuSignProcessing : WebService
{
    public DocuSignProcessing()
    {

    }

    #region WebService Methods

    [WebMethod]
    public string LicensingInfo()
    {
        return DocuSignConnectWebService.GetLicensingInfo();
    }

    [WebMethod]
    public string EncryptPassword(string password)
    {
        return DocuSignConnectWebService.EncryptPassword(password);
    }

    [WebMethod]
    public void DocuSignConnectUpdate()
    {
        DocuSignConnectWebService helper = new DocuSignConnectWebService();
        helper.SetConfiguration(System.Web.Configuration.WebConfigurationManager.AppSettings);
        String result = helper.DocuSignProcessing(this.Context);
        return;
    }

    [WebMethod]
    public string ManualCompleted(string envID)
    {
        DocuSignConnectWebService helper = new DocuSignConnectWebService();
        helper.SetConfiguration(System.Web.Configuration.WebConfigurationManager.AppSettings);
        helper.ManualCompleted(envID);
        return "";
    }
    #endregion

}
